> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# アイデンティティ構成一覧を取得する

> Identity に対する Template 固有の構成を一覧表示します。

`GET /api/v1/forward/identities/{identity_id}/templates`

Forward Identity 配下のアクティブまたはアーカイブされた Identity Config レコードを返します。

## Headers

| Header          | Required | Description    |
| --------------- | -------- | -------------- |
| `Authorization` | Yes      | `Bearer <PAT>` |

## Path parameters

| Parameter     | Type   | Required | Description          |
| ------------- | ------ | -------- | -------------------- |
| `identity_id` | string | Yes      | Forward Identity ID。 |

## Query parameters

| Parameter     | Type    | Required | Default  | Description                                       |
| ------------- | ------- | -------- | -------- | ------------------------------------------------- |
| `template_id` | string  | No       | -        | Forward Template ID でフィルタリングします。                  |
| `status`      | string  | No       | `active` | `active` または `archived` でフィルタリングします。              |
| `limit`       | integer | No       | 20       | 1 ページあたりの項目数。最大 100。                              |
| `after_id`    | string  | No       | -        | 前回のレスポンスの `last_id` を指すカーソル。`before_id` と併用できません。 |
| `before_id`   | string  | No       | -        | 前回のレスポンスの `first_id` を指すカーソル。`after_id` と併用できません。 |

## Example request

```bash theme={null}
curl -s -X GET 'https://api.qoder.com/api/v1/forward/identities/idn_019eabc123/templates?template_id=tmpl_support&limit=20' \
  -H "Authorization: Bearer $QODER_PAT"
```

## Example response

**HTTP 200 OK**

```json theme={null}
{
  "data": [
    {
      "type": "config",
      "id": "cfg_support",
      "identity_id": "idn_019eabc123",
      "template_id": "tmpl_support",
      "name": "CRM profile",
      "status": "active",
      "effective_hash": "sha256:...",
      "created_at": "2026-06-18T10:00:00Z",
      "updated_at": "2026-06-18T10:00:00Z"
    }
  ],
  "first_id": "cfg_support",
  "last_id": "cfg_support",
  "has_more": false
}
```

## Response fields

| Field      | Type         | Description                  |
| ---------- | ------------ | ---------------------------- |
| `data`     | array        | 現在のページにある Config サマリーオブジェクト。 |
| `first_id` | string\|null | このページの最初の config の ID。       |
| `last_id`  | string\|null | このページの最後の config の ID。       |
| `has_more` | boolean      | さらにレコードが残っているかどうか。           |

## Errors

| HTTP | Type                    | Trigger                         |
| ---- | ----------------------- | ------------------------------- |
| 400  | `invalid_request_error` | ページネーションパラメータが無効です。             |
| 401  | `authentication_error`  | PAT が無効または期限切れです。               |
| 404  | `not_found_error`       | Identity が存在しないか、呼び出し元に表示されません。 |

## Notes

* カーソル値は Template ID ではなく Identity Config ID から得られます。
* 1 つの Identity は、指定された Template に対して最大 1 つのアクティブな config を持つことができます。

## Related

<CardGroup cols={2}>
  <Card title="アイデンティティ構成を作成または更新する" icon="gear" href="/cloud-agents/api/forward/identities/upsert-config" />

  <Card title="有効な構成を取得する" icon="layer-group" href="/cloud-agents/api/forward/identities/effective" />
</CardGroup>
